API reference, Frame analysis

Analysis of all faces from selfie image

POSThttps://demo-api.incodesmile.com/omni/frame-analysis/analyze/third-party

Authenticate users by comparing base64 image from request and user's existing face templates. Each face from the image is analyzed, and relevant attributes are extracted. In case of failure, error description is returned.

Headers

api-versionstringrequiredDefaults to 1.0

Request body

application/json

base64Imagestringrequired≥ 1 chars

Base64 representation of image.

videoRefstring

Reference of video from which frame is extracted.

frameRefstring

Reference of frame that should be analyzed.

Responses

Response body (application/json)

List of identities analyzed from input base64image.

identityIdstring

Id of recognized customer.

estimatedAgeinteger (int32)

Estimated age based on extracted face.

Error name. Possible error names are: LENSES_DETECTED, FACE_MASK_DETECTED, HEAD_COVER_DETECTED, CLOSED_EYES_DETECTED, SPOOF_ATTEMPT_DETECTED, USER_IS_NOT_RECOGNIZED

videoRefstring

Reference of video from which frame is extracted.

frameRefstring

Reference of frame that is analyzed.

Error name. Possible error name is: FACE_EXTRACTION_FAILED

namestring